import {
  CUSTOMER_TYPE,
  SUPPLIER_TYPE,
  RUNNING_STATUS,
  NOTICE_TYPE,
} from '@/config/constants';

const DEFAULT_FIELD = '--';

// 常规
export function enableFilter(val) {
  return val ? '启用' : '禁用';
}
// 系统管理
export function customerTypeFilter(val) {
  return CUSTOMER_TYPE[val] || DEFAULT_FIELD;
}
export function supplierTypeFilter(val) {
  return SUPPLIER_TYPE[val] || DEFAULT_FIELD;
}
export function runningStatusFilter(val) {
  return RUNNING_STATUS[val] || DEFAULT_FIELD;
}
export function noticeTypeFilter(val) {
  return NOTICE_TYPE[val] || DEFAULT_FIELD;
}
